Skip to main content
POST
Apply subscription change

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

subscription_change_id
string
required

Body

application/json
previously_collected_amount
string | null

Amount already collected to apply to the customer's balance. If mark_as_paid is also provided, credit the difference to the customer's balance.

mark_as_paid
boolean | null

Mark all pending invoices that are payable as paid. If amount is also provided, mark as paid and credit the difference to the customer's balance.

description
string | null

Description to apply to the balance transaction representing this credit.

payment_received_date
string<date> | null

A date string to specify the date the payment was received. Only applicable when mark_as_paid is true. If not provided, defaults to the current date.

payment_external_id
string | null

An optional external ID to associate with the payment. Only applicable when mark_as_paid is true.

payment_notes
string | null

Optional notes about the payment. Only applicable when mark_as_paid is true.

Response

OK

A subscription change represents a desired new subscription / pending change to an existing subscription. It is a way to first preview the effects on the subscription as well as any changes/creation of invoices (see subscription.changed_resources).

id
string
required
status
enum<string>
required
Available options:
pending,
applied,
cancelled
expiration_time
string<date-time>
required

Subscription change will be cancelled at this time and can no longer be applied.

subscription
MutatedSubscription · object | null
required
change_type
string
required

The type of change (e.g., 'schedule_plan_change', 'create_subscription').

applied_at
string<date-time> | null

When this change was applied.

cancelled_at
string<date-time> | null

When this change was cancelled.

effective_date
string<date-time> | null

When this change will take effect.

change_option
string | null

How the change is scheduled (e.g., 'immediate', 'end_of_subscription_term', 'requested_date').

plan_id
string | null

The target plan ID for plan changes.

billing_cycle_alignment
string | null

Billing cycle alignment for plan changes.